<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class AddForeignKeysToAbEmailTemplateTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::table('ab_email_template', function(Blueprint $table)
		{
			$table->foreign('email_setup_id', 'fk_et_es')->references('id')->on('ab_email_setup')->onUpdate('NO ACTION')->onDelete('NO ACTION');
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::table('ab_email_template', function(Blueprint $table)
		{
			$table->dropForeign('fk_et_es');
		});
	}

}
